Subject: Re: [Bug 10238] Re: [PATCH] Re: netconsole still hangs

From: Jarek Poplawski <[email-masked]>
Date: Tue, 18 Mar 2008 23:47:29 +0100

On Tue, Mar 18, 2008 at 02:47:42PM -0700, Andrew Morton wrote:
> On Tue, 18 Mar 2008 22:05:42 +0100
> Jarek Poplawski <[email-masked]> wrote:
...
> > IMHO, after the below patch to sched.c you can't compare netconsole to
> > 2.6.24 with this sysrq-trigger test; any bugs found with this could be
...
> hm.
...
> So right now it's cannot-reproduce.  I'll try things on the other machine
> this evening.
> 
> I dunno why the sched.c change causes your sysrq-T operation to fail.  Can
> you provide more details please?

...hmm...
Doesn't sysrq-t trigger this sched.c function?

Anyway... My first tests seemed to hang the box with syslog only. Now
I can't repeat it neither with syslog nor netconsole... So, this patch
is a bad hit or it's really about timing.

Jarek P.